> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Presign



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/upload/presign
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/upload/presign:
    post:
      tags:
        - Upload
      summary: Presign
      operationId: UploadController_presign_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadRequestDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadPresignDto'
components:
  schemas:
    UploadRequestDto:
      type: object
      properties:
        fileName:
          type: string
        contentType:
          type: string
        fileSize:
          type: number
          minimum: 67
          maximum: 10000000
        entityType:
          type: string
        entityId:
          type: string
      required:
        - fileName
        - contentType
        - fileSize
    UploadPresignDto:
      type: object
      properties:
        fileName:
          type: string
        uploadUrl:
          type: string
        salt:
          type: string
        entityType:
          type: string
        entityId:
          type: string
      required:
        - fileName
        - uploadUrl
        - salt

````